device_type: "qemu"

job_name: "tuxlava@qemu-arm64: ltp-fcntl-locktests"
priority: low
visibility: "public"

context:
    arch: "arm64"
    machine: "virt,virtualization=on,gic-version=3,mte=on"
    cpu: "max,pauth-impdef=on"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 25
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog systemd.log_level=warning earlycon"'
        url: "https://storage.tuxboot.com/buildroot/arm64/Image"
      rootfs:
        image_arg: "-drive file={rootfs},if=none,format=raw,id=hd0 -device virtio-blk-device,drive=hd0"
        url: "https://storage.tuxboot.com/buildroot/arm64/rootfs.ext4.zst"
        compression: zstd
        overlays:
          lava: true
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 5
    definitions:
    - repository: https://storage.tuxboot.com/test-definitions/2024.12.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: 'fcntl-locktests'
        SKIPFILE: '/tuxtest/skipfiles/arm64/ltp-fcntl-locktests'
        ENVIRONMENT: 'production'
        LTP_TMPDIR: '/scratch'
        LTP_INSTALL_PATH: '/opt/ltp/'
        SHARD_NUMBER: 1
        SHARD_INDEX: 1
        RUNNER: 
        TIMEOUT_MULTIPLIER: 5
      name: ltp-fcntl-locktests
